module Types.NPCState where

import Control.Concurrent.MVar (MVar)
import Linear (V2)

data NPCMoveState
  = NPCWalking
    { npcWalkPath :: [V2 Int]
    }
  | NPCStanding
    { npcStandTime  :: Double
    , npcFuturePath :: MVar [V2 Int]
    }
